Subject: Re: [PATCH] ALSA: aoa: convert bus code to use dev_groups

From: Quentin Lambert <[email-masked]>
Date: Thu, 28 May 2015 16:43:12 +0200

On 28/05/2015 16:09, Takashi Iwai wrote:
> At Thu, 28 May 2015 15:59:50 +0200,
> Quentin Lambert wrote:
>>
>>
>> On 28/05/2015 15:52, Takashi Iwai wrote:
>>> At Thu, 28 May 2015 14:48:27 +0200,
>>> Quentin Lambert wrote:
>>>> You should use dev_groups instead of the dev_attrs field of struct
>>>> bus_type. This converts the MDIO bus code to use the correct field.
>>>>
>>>> These modifications were made using Coccinelle.
>>>>
>>>> Signed-off-by: Quentin Lambert <[email-masked]>
>>> What's wrong with dev_attrs?
>>> (Not offending, I'm just curious where the preference for dev_groups
>>>    is referred...)
>> This patch is based on commit 4192c74940e23da727eb02b7b4ee779dde2f670,
>> its message indicates that dev_attrs is going away.
> OK, makes sense.  Then please keep such information in the changelog.
> BTW, the code in question isn't MDIO at all.
Sorry, about that!
>
> Also, it'd be better to move ATTRIBUTE_GROUPS(soundbus_dev) into
> soundbus/sysfs.c, and make it this global instead of
> soundbus_dev_attrs[].
Ok, I need to find a nice way to do that because ATTRIBUTE_GROUPS 
declares the
structure as static. I will send a second version with a better solution.

Quentin
> Takashi